# Django settings for mysite project.

from moxml.config import Config

DEBUG = 'True' == 'True'
TEMPLATE_DEBUG = DEBUG

CACHE = Config( 'cache.xml', '/tmp' )
CACHE.saveOnExit()

LAUNCHPAD_EMAIL = ''
LAUNCHPAD_PASSWORD = 'none'

ADMINS = (
    ('Martin Owens', 'doctormo@ubuntu.com'),
)

MANAGERS = ADMINS

DATABASE_ENGINE   = 'mysql'
DATABASE_NAME     = 'ubuntumawebsited'
DATABASE_USER     = 'ubuntumawebsiteu'
DATABASE_PASSWORD = '123456'
DATABASE_HOST     = 'localhost'
DATABASE_PORT     = ''

# Local time zone for this installation. Choices can be found here:
# http://en.wikipedia.org/wiki/List_of_tz_zones_by_name
# although not all choices may be available on all operating systems.
# If running in a Windows environment this must be set to the same as your
# system time zone.
TIME_ZONE = ''

# Language code for this installation. All choices can be found here:
# http://www.i18nguy.com/unicode/language-identifiers.html
LANGUAGE_CODE = 'en-us'

SITE_ID = '1'

# If you set this to False, Django will make some optimizations so as not
# to load the internationalization machinery.
USE_I18N = True

MEDIA_ROOT = '/var/www/ubuntu-ma.us/media'
MEDIA_URL = '/media/'
ADMIN_MEDIA_PREFIX = '/admin-media/'

MEDIA_DIRS = {
    'groupbuy'  : 'none',
    'marketing' : MEDIA_ROOT + "/images/marketing",
    'community' : MEDIA_ROOT + "/images/community",
    'news'      : MEDIA_ROOT + "/images/news",
    'project'   : MEDIA_ROOT + "/images/projects",
    'event'     : MEDIA_ROOT + "/images/events",
}

# Make this unique, and don't share it with anybody.
SECRET_KEY = '%%unique_key%%'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',

)

MIDDLEWARE_CLASSES = (
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.doc.XViewMiddleware',

)

ROOT_URLCONF = 'UbuntuMaWebsite.urls'

TEMPLATE_DIRS = (
    '/var/www/ubuntu-ma.us/templates',
)

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.humanize',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'UbuntuMaWebsite.static',
    'UbuntuMaWebsite.accounts',
    'UbuntuMaWebsite.community',
    'UbuntuMaWebsite.lpopenid',
    'moapps.news',
    'moapps.events',
#    'moapps.projects',
#    'moapps.contacts',
#    'moapps.meeting',
)

ACCOUNT_ACTIVATION_DAYS = "5"
AUTH_PROFILE_MODULE = "accounts.Profile"
LOCAL_DEVELOPMENT = "True"

